<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="ext/resources/css/ext-all.css" media="screen" />
	<script type="text/javascript" src="ext/adapter/ext/ext-base.js"></script>
	<script type="text/javascript" src="ext/ext-all.js"></script>
	<script type="text/javascript" src="browsebutton.js"></script>
	<style type="text/css">

		#container { width: 400px; border: 1px solid #99BBE8; margin: 20px; }
		#view { width: 400px; height: 120px; overflow: auto; }
		#view img.image { height: 100px; width: 100px; margin: 5px; padding: 3px; border: 1px solid white; }
		#view img.over { border: 1px solid #ccc; }
		#view img.selected { border: 1px solid red; }
		
	</style>
</head>
<body>
	<p>Name:</p>
	<input />
	<div id="container">
		<div id="toolbar"></div>
		<div id="view"></div>
	</div>

	<script type="text/javascript">
		Ext.namespace('ExtTest');
		
		Ext.onReady(function() {
			var imageStore = new Ext.data.JsonStore({
				url: 'handle.php',
				fields: ['filename'],
				autoLoad: true
			});
			
			var imageTemplate = new Ext.XTemplate('<tpl for="."><img class="image" src="upload/{filename}" /></tpl>');
			
			ExtTest.imageView = new Ext.DataView({
				id: 'imageView',
				renderTo: 'view',
				store: imageStore,
				tpl: imageTemplate,
				itemSelector:'img.image',
				overClass: 'over',
				selectedClass: 'selected',
				singleSelect: true
			});
			
			var toolbar = new Ext.Toolbar({
				renderTo: 'toolbar',
				items: [
					{ xtype: 'browsebutton', text: 'Upload', handler: ExtTest.uploadImage, inputFileName: 'imageFile' },
					{ xtype: 'button', text: 'Delete', handler: ExtTest.deleteImage }
				]
			});
			
			var mask = new Ext.LoadMask('view', {store: imageStore});
		});
		
		ExtTest.deleteImage = function() {
			if(ExtTest.imageView.getSelectionCount() > 0) {
				var name = ExtTest.imageView.getSelectedRecords()[0].get('filename');
				
				Ext.Ajax.request({
					url: 'handle.php?m=d',
					method: 'GET',
					params: { filename: name },
					success: function() { ExtTest.imageView.store.reload(); },
					failure: function() { Ext.Msg.alert('Error', 'Could not delete the file.');}
				});
			}
		}
		
		ExtTest.uploadImage = function(button) {
			var form = document.createElement('form');
			var input = button.detachInputFile().dom;
			form.appendChild(input);
			form.style.display = 'none';
			document.body.appendChild(form);
			
			var basicForm = new Ext.form.BasicForm(form, {
				fileUpload: true,
				url: 'handle.php?m=u'
			});
			
			basicForm.submit({
				success: function() { ExtTest.imageView.store.reload(); document.body.removeChild(form); },
				failure: function() { Ext.Msg.alert('Error', 'Could not upload the file.'); document.body.removeChild(form);}
			});
		};
	</script>
</body>
</html>